Memos

Reorder Views

ReorderMemoViews sets the order of a user's Views, which is the order ListMemoViews returns them in. Only the user may call it.

POST
/api/users/{user}/views:reorder

Path Parameters

user*string

The user id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request message for UserService.ReorderMemoViews.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/users/string/views:reorder" \  -H "Content-Type: application/json" \  -d '{    "parent": "string",    "names": [      "string"    ]  }'
{  "memoViews": [    {      "name": "string",      "title": "string",      "filter": "string",      "icon": {        "emoji": "string",        "lucide": "string"      }    }  ]}